EDIT - bug #4465

Handle Drag and Drop for Synonyms
11/18/2014 05:53 PM - Andreas Miiller

Status:
Priority:

Assignee:

Category:

Target version:

Severity:

Worksforme Start date:

Priority14 Due date:

Katja Luther % Done: 0%
taxeditor Estimated time: 0:00 hour

normal

Found in Version:

Description

Currently if you drag & drop a synonym from 1 Editor to another it works but data can not be saved as we are in a different session
here.

This needs to be solved. However, for now we should disallow dropping a synonym to another Editor. Drag & Drop should be allowed
only within the same Editor.

Related issues:
Related to EDIT - bug #7671: Drag & Drop for synonyms has refresh problems New

History

#1 - 11/18/2014 05:53 PM - Andreas Miiller

Hallo,

ich wollte ein Synonym per Drag&Drop von einem Taxon zu einem anderen schieben und dann speichern. Habe es mehrfach probiert. Verschieben
geht, aber das Speichern nicht. Habe mit der Ulteo-Version von Zuhause aus gearbeitet.

Wie krieg ich denn jetzt das Synonym an die richtige Stelle gespeichert?

VG Gabi

Failed to execute runnable (org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role:
eu.etaxonomy.cdm.model.taxon.TaxonBase.annotations, could not initialize proxy - no Session) Please contact EDIT Support (
r m.org) with the error trace below (click on the 'Details' button).

Edi

org.eclipse.swt.SWTException: Failed to execute runnable (org.hibernate.LazylnitializationException: failed to lazily initialize a collection of role:
eu.etaxonomy.cdm.model.taxon.TaxonBase.annotations, could not initialize proxy - no Session)
swt.SWT.error (SWT. java:4282)

swt.SWT.error (SWT. java:4197)

swt.widgets.
Synchronizer.runAsyncMessages (Synchronizer. java:138)

Display.runAsyncMessages (Display.java:3563)

.Display.readAndDispatch (Display.java:3212)

Workbench.runEventLoop (Workbench. java:2701)

Workbench.runUI (Workbench. java:2665)

.Workbench.access$4 (Workbench. java:2499)

Workbench$7.run (Workbench. java:679)

core.databinding.observable.Realm.runWithDefault (Realm. java:332)

ui.internal.

Workbench.createAndRunWorkbench (Workbench. java:668)

org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher.java:110)

org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:79)

org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)

org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:616)

org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

org.eclipse.equinox.launcher.Main.run (Main.java:1410)

Caused by: org.hibernate.LazylnitializationException: failed to lazily initialize a collection of role:
eu.etaxonomy.cdm.model.taxon.TaxonBase.annotations, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationException (AbstractPer
sistentCollection. java:618)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded (AbstractPersist
entCollection.java:208)

at org.hibernate.collection.internal.AbstractPersistentCollection.readSize (AbstractPersistentCollection. java:l
58)

at org.hibernate.collection.internal.PersistentSet.size (PersistentSet. java:156)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection.setSectionTitle (AbstractEntityCollectionS
ection. java:165)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection.setEntity (AbstractEntityCollectionSection
.java:155)

at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart.java:105)
org.eclipse.ui.forms.ManagedForm.setInput (ManagedForm. java:238)

eu.etaxonomy.taxeditor.
eu.etaxonomy.taxeditor.
eu.etaxonomy.taxeditor.

eu.etaxonomy.taxeditor.

lDataViewPart. java:96)

at

eu.etaxonomy.taxeditor.

view.AbstractCdmDataViewer.refresh (AbstractCdmDataViewer. java:152)
view.AbstractCdmDataViewer.setInput (AbstractCdmDataViewer. java:132)
view.AbstractCdmViewPart.showViewer (AbstractCdmViewPart.java:107)

view.supplementaldata.SupplementalDataViewPart.selectionChanged_internal (Supplementa

view.AbstractCdmEditorViewPart$DelaySelection.run (AbstractCdmEditorViewPart. java:55)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:135)

22 more

#2 - 05/12/2018 09:10 PM - Andreas Miuller

- File picture309-1.png added

- Description updated

- Assignee changed from Cherian Mathew to Katja Luther

- Priority changed from New to Priority14

- Target version changed from TaxEditor Next Major Release to Release 5.1

This seems to work now, if you move the synonym not to an existing homotypic group. In the later case the group becomes grey - see attachement
(this is even true for the accepted taxon homotypic group)

#3 - 05/12/2018 09:10 PM - Andreas Miiller

- Private changed from Yes to No

#4 - 06/28/2018 12:04 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#5 - 08/17/2018 03:50 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#6 - 08/22/2018 12:00 PM - Katja Luther
- Related to bug #7671: Drag & Drop for synonyms has refresh problems added

#7 - 08/22/2018 12:01 PM - Katja Luther
- Status changed from New to Worksforme

- Target version deleted (Release 5.3)

this issue is fixed, follow up ticket with remaining problems is #7671

Files

picture309-1.png 2.55 KB 05/12/2018
https://dev.e-taxonomy.eu/redmine/issues/7671
